=== debian/changelog ===
restfuldb (0.15.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.0+dfsg.
  * Feather icons are gone from upstream tarball.
  * Removing upstream-integrated patches.
  * Refreshing no-build-dependencies.patch.
  * Adding a dependency on libfile-libmagic-perl.
  * Reordering dependencies.
  * Running tests for Database::Filter.

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Aug 2020 11:40:15 -0400

restfuldb (0.14.2+dfsg-5) unstable; urgency=medium

  * Skipping Database::Filter tests, as they depend on the used version of
    OPTIMADE::Filter.

 -- Andrius Merkys <merkys@debian.org>  Thu, 11 Jun 2020 00:42:02 -0400

restfuldb (0.14.2+dfsg-4) unstable; urgency=medium

  * Adding autopkgtest dependency on libxml2-utils.

 -- Andrius Merkys <merkys@debian.org>  Fri, 22 May 2020 14:43:34 -0400

restfuldb (0.14.2+dfsg-3) unstable; urgency=medium

  * Adding missing autopkgtest dependency on sqlite3.

 -- Andrius Merkys <merkys@debian.org>  Thu, 21 May 2020 16:16:19 -0400

restfuldb (0.14.2+dfsg-2) unstable; urgency=medium

  * Adding a patch to adjust to the changed interface of OPTIMADE::Filter.
  * Updating versioned dependency on liboptimade-filter-perl.

 -- Andrius Merkys <merkys@debian.org>  Wed, 20 May 2020 09:18:36 -0400

restfuldb (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.2+dfsg.
  * Updating Files-Excluded.
  * Refreshing patches.
  * Adding versioned depends on liboptimade-filter-perl.
  * Backporting an upstream fix as Database-r6707-6714.patch.
  * Skipping RestfulDB-JSON.pm_004 test which depends on the version of
    JSON::PP.
  * Updating dependencies.

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Apr 2020 06:18:47 -0400

restfuldb (0.14.0+dfsg-2) unstable; urgency=medium

  * Adding license for externals/CGIParameters/*.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Apr 2020 07:23:33 -0400

restfuldb (0.14.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #951332)

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Feb 2020 12:17:20 -0500
