## restfuldb 0.15.2%2Bdfsg

=== debian/control ===
Source: restfuldb
Priority: optional
Section: web
Maintainer: Andrius Merkys <merkys@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-apache2,
 libarchive-zip-perl <!nocheck>,
 libcgi-pm-perl <!nocheck>,
 libclone-perl <!nocheck>,
 libdata-uuid-perl <!nocheck>,
 libdata-validate-uri-perl <!nocheck>,
 libdatetime-perl <!nocheck>,
 libdbd-sqlite3-perl <!nocheck>,
 libdbi-perl <!nocheck>,
 libexcel-writer-xlsx-perl <!nocheck>,
 libexception-class-perl <!nocheck>,
 libfile-libmagic-perl <!nocheck>,
 libfile-mimeinfo-perl <!nocheck>,
 libhash-merge-perl <!nocheck>,
 libio-string-perl <!nocheck>,
 libjson-perl <!nocheck>,
 liblist-moreutils-perl <!nocheck>,
 libobject-lazy-perl <!nocheck>,
 liboptimade-filter-perl (>= 0.9.0) <!nocheck>,
 libspreadsheet-read-perl <!nocheck>,
 libspreadsheet-wright-perl <!nocheck>,
 libspreadsheet-xlsx-perl <!nocheck>,
 libtext-csv-encoded-perl <!nocheck>,
 libtext-csv-perl <!nocheck>,
 libtext-csv-xs-perl <!nocheck>,
 libtext-markdown-perl <!nocheck>,
 libtext-sprintfn-perl <!nocheck>,
 liburi-encode-perl <!nocheck>,
 libwww-perl <!nocheck>,
 libxml-libxml-perl <!nocheck>,
 libxml2-utils <!nocheck>,
 rename,
 sqlite3 <!nocheck>,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.ibt.lt/repositories/projects/restfuldb
Vcs-Browser: https://salsa.debian.org/merkys/restfuldb
Vcs-Git: https://salsa.debian.org/merkys/restfuldb.git

Package: librestfuldb-perl
Architecture: all
Section: perl
Depends:
 libarchive-zip-perl,
 libcgi-pm-perl,
 libclone-perl,
 libdata-uuid-perl,
 libdatetime-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libexcel-writer-xlsx-perl,
 libexception-class-perl,
 libfile-libmagic-perl,
 libhash-merge-perl,
 libio-string-perl,
 libjson-perl,
 libobject-lazy-perl,
 liboptimade-filter-perl (>= 0.9.0),
 libspreadsheet-read-perl,
 libspreadsheet-wright-perl,
 libspreadsheet-xlsx-perl,
 libtext-csv-encoded-perl,
 libwww-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: Web frontend for relational databases - Perl modules
 RestfulDB is a Web frontend for SQL databases. It provides both a Web GUI
 and a RESTful API for interaction with any MySQL/MariaDB or SQLite database.
 RestfulDB is developed with off-the-shelf usage in mind, but nevertheless
 it provides the means to override the default interpretations of underlying
 database's schema and data.
 .
 This package contains Perl modules required by RestfulDB.

Package: restfuldb
Architecture: all
Depends:
 apache2,
 javascript-common,
 libauthen-oath-perl,
 libcgi-pm-perl,
 libdata-validate-uri-perl,
 libdatetime-perl,
 libexcel-writer-xlsx-perl,
 libfile-mimeinfo-perl,
 libhash-merge-perl,
 libhtml-fromtext-perl,
 libjs-jquery,
 libjs-select2.js,
 liblist-moreutils-perl,
 librestfuldb-perl,
 libspreadsheet-wright-perl,
 libtext-csv-perl,
 libtext-csv-xs-perl,
 libtext-markdown-perl,
 libtext-sprintfn-perl,
 liburi-encode-perl,
 liburl-encode-perl,
 libxml-libxml-perl,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 ${misc:Recommends},
Description: Web frontend for relational databases
 RestfulDB is a Web frontend for SQL databases. It provides both a Web GUI
 and a RESTful API for interaction with any MySQL/MariaDB or SQLite database.
 RestfulDB is developed with off-the-shelf usage in mind, but nevertheless
 it provides the means to override the default interpretations of underlying
 database's schema and data.
