## restfuldb 0.15.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: andrius $
 #$Date: 2020-02-10 05:26:39 -0500 (Mon, 10 Feb 2020) $
 #$Revision: 5927 $
-#$URL: svn://saulius-grazulis.lt/restful/tags/v0.15.0/Makefile $
+#$URL: svn://saulius-grazulis.lt/restful/tags/v0.15.2/Makefile $
 #------------------------------------------------------------------------
 
 # Run tests in a test directory (tests/ by default) and report if
