=== debian/changelog ===
restfuldb (0.15.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.2+dfsg.
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Jan 2021 09:47:19 -0500

restfuldb (0.15.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.1+dfsg.

 -- Andrius Merkys <merkys@debian.org>  Mon, 28 Dec 2020 06:09:54 -0500
