=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CONF = debian/restfuldb/etc/apache2/conf-available/restfuldb.conf

%:
	dh $@ --with apache2

override_dh_auto_build:
	make lib/RestfulDB/Version.pm

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	find tests/outputs -name '*.out' | sort \
		| grep '^tests/outputs/[A-Z]' \
		| grep -v Database-View \
		| grep -v RestfulDB-JSON.pm_004 \
		| sed 's/\.out$$/.diff/' | xargs $(MAKE)
	find tests/outputs -name '*.diff' -a -size +0c \
		| xargs --no-run-if-empty false
endif

override_dh_auto_install:
	rename 's/([^\/]+)$$/restfuldb-$$1/' \
		website/cgi-bin/db.pl \
		website/cgi-bin/image.pl \
		website/cgi-bin/modify.pl \
		website/cgi-bin/notfound.pl \
		website/cgi-bin/tables.pl
	sed -i 's/\.\.\/\.\.\/js/\/javascript\/restfuldb\//g' website/cgi-bin/restfuldb-*
	sed -i 's/\.\.\/js/\/javascript\/restfuldb\//g'       website/cgi-bin/restfuldb-*
	mv externals/CGIParameters/lib/CGIParameters.pm lib
	rm -rf lib/RestfulDB/Version.pmin
	mv lib perl5
	ln -fs /usr/share/javascript/jquery/jquery.js website/js/jquery.js
	ln -fs /usr/share/javascript/jquery/jquery.js website/js/jquery-*.js
	ln -fs /usr/share/javascript/select2.js/select2.js website/js/select2.js
	ln -fs /usr/share/javascript/select2.js/select2.css website/styles/default/select2.css

override_dh_install:
	dh_install
	rm -rf debian/restfuldb/usr/share/restfuldb/perl5/RestfulDB
	echo 'Alias /restfuldb /usr/share/restfuldb' >> ${CONF}
	echo '<Directory /usr/share/restfuldb>'      >> ${CONF}
	cat website/.htaccess			     >> ${CONF}
	echo '</Directory>'			     >> ${CONF}
