=== debian/tests/control ===
Tests: upstream
Depends:
 libxml2-utils,
 rsync,
 sqlite3,
 @,
Restrictions: allow-stderr
