=== debian/watch ===
version=4
opts="mode=svn, pgpmode=none, repack, repacksuffix=+dfsg, dversionmangle=s/\+dfsg$//" \
 svn://saulius-grazulis.lt/restful/tags/ \
 v([\d.]+)\/ debian uupdate
