## restfuldb 0.16.0%2Bdfsg

=== debian/changelog ===
restfuldb (0.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.16.0+dfsg.
  * Bump copyright year.
  * Drop upstream-integrated patch.
  * List new dependency.

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 May 2022 12:12:51 -0400

restfuldb (0.15.2+dfsg-3) unstable; urgency=medium

  * Simplifying debian/watch.
  * Restoring compatibility with SQLite3 3.37.0 (Closes: #1003307).
  * Removing unused lintian override, false-positive in lintian << 2.105.0.
  * Marking all patches 'Forwarded: not-needed'.
  * Adjusting lintian override for web-application-works-only-with-apache.
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Jan 2022 03:40:53 -0500

restfuldb (0.15.2+dfsg-2) unstable; urgency=medium

  * Removing explicit dependency on libdbd-sqlite2-perl.
  * Skipping tests requiring libdbd-sqlite2-perl.

 -- Andrius Merkys <merkys@debian.org>  Thu, 11 Nov 2021 01:52:08 -0500
