=== debian/changelog ===
restfuldb (0.16.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.40: test failures": add patch from Niko Tyni to fix
    import with Perl 5.40.
    (Closes: #1078202)

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Sep 2024 23:47:32 +0200
