=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  libfile-libmagic-perl <!nocheck>,
  libfile-mimeinfo-perl <!nocheck>,
  libhash-merge-perl <!nocheck>,
+ libhtml-restrict-perl <!nocheck>,
  libio-string-perl <!nocheck>,
  libjson-perl <!nocheck>,
  liblist-moreutils-perl <!nocheck>,
@@ -92,6 +93,7 @@
  libfile-mimeinfo-perl,
  libhash-merge-perl,
  libhtml-fromtext-perl,
+ libhtml-restrict-perl,
  libjs-jquery,
  libjs-select2.js,
  liblist-moreutils-perl,
